<script setup lang="ts">
import Repository from "@/entities/Repository/Repository.js";
import {onMounted, ref, watch} from "vue";
import RowList from "@/components/organisms/list/RowList.vue";
import RepositoryCard from "@/components/organisms/card/vertical-card/entity-card/RepositoryCard.vue";

const props = defineProps<{ repository: Repository }>();

const repositories: ref<Array<Repository>> = ref<Array<Repository>>([]);

const loadSubModules = () => {
  repositories.value = props.repository.subModules;
};

onMounted(loadSubModules)
watch(() => props.repository, loadSubModules)
</script>

<template>
  <RowList v-if="repositories.length > 0">
    <RepositoryCard
        :repository="repository"
        :key="'subModules_list_' + repository.code"
        v-for="(repository) of repositories"
    />
  </RowList>
  <span v-else>Pas de sous modules</span>
</template>